mshr (2019.2.0~git20230811.ff54a68+dfsg1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:10:46 +0000

mshr (2019.2.0~git20230811.ff54a68+dfsg1-1build1) noble; urgency=medium

  * No-change rebuild against libopenmpi3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:30:34 +0000

mshr (2019.2.0~git20230811.ff54a68+dfsg1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Drop unused libproj-dev (build) dependency.

  [ Drew Parsons ]
  * New upstream snapshot.
    - applies debian patches:
      fix_mesh3_internal.patch
      enable_CGAL5_CXX14.patch
      build_CGAL5.patch
      build_CGAL5.6.patch

 -- Drew Parsons <dparsons@debian.org>  Mon, 05 Feb 2024 20:10:04 +0100

mshr (2019.2.0~git20200924.c27eb18+dfsg1-10) unstable; urgency=medium

  * update debian patch build_CGAL5.6.patch for backwards compatibility
    - apply named parameters one-by-one
    - check CGAL version when calling has_Has_features

 -- Drew Parsons <dparsons@debian.org>  Thu, 10 Aug 2023 16:23:24 +0200

mshr (2019.2.0~git20200924.c27eb18+dfsg1-9) unstable; urgency=medium

  * make mshr.pth more robust with respect to PETSc installation.
    Use default path if petscconf.h can't be found. Closes: #1000950.
  * debian patch build_CGAL5.6.patch fixes build for CGAL 5.6.
    Named parameters can only be set in CGAL functions.
    Closes: #1043307
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Thu, 10 Aug 2023 03:47:17 +0200

mshr (2019.2.0~git20200924.c27eb18+dfsg1-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake, libcgal-dev and
      python3-pybind11.
    + libmshr-dev-common: Drop versioned constraint on cmake in Depends.

 -- Drew Parsons <dparsons@debian.org>  Sat, 22 Jul 2023 15:18:42 +0200

mshr (2019.2.0~git20200924.c27eb18+dfsg1-7) unstable; urgency=medium

  * drop PETSC_ARCH from mshr.pth. It is only used for local build
    dirs, not in full installation, and interferes with python
    initialization when PETSc is in the middle of an ABI upgrade.

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Nov 2021 22:37:14 +0100

mshr (2019.2.0~git20200924.c27eb18+dfsg1-6) unstable; urgency=medium

  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 23 Oct 2021 21:09:15 +0200

mshr (2019.2.0~git20200924.c27eb18+dfsg1-5) unstable; urgency=medium

  * include PETSC_ARCH in mshr.pth to prevent mshr from interfering
    with new PETSc builds. mshr.pth checks
    $PETSC_DIR/$PETSC_ARCH/include/petscconf.h
  * fix parenthesis in python3-mshr description. Closes: #976011.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Wed, 13 Jan 2021 10:55:53 +1100

mshr (2019.2.0~git20200924.c27eb18+dfsg1-4) unstable; urgency=medium

  * fix quotes in i386 test condition.

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Nov 2020 03:46:38 +0800

mshr (2019.2.0~git20200924.c27eb18+dfsg1-3) unstable; urgency=medium

  * skip python unit test test-meshes on i386.
    mshr.UnitSphereMesh() hangs on i386. Use mshr.Sphere() instead
    (cf. deathstar demo).  Closes: #974561.

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Nov 2020 17:37:30 +0800

mshr (2019.2.0~git20200924.c27eb18+dfsg1-2) unstable; urgency=medium

  * install python modules in /usr/lib/mshr or /usr/lib/mshr64, not
    under PETSC_DIR. mshr does not use PETSc directly, but mshr.pth
    uses $PETSC_DIR/include/petscconf.h to select standard or 64-bit
    build.

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Nov 2020 13:37:22 +0800

mshr (2019.2.0~git20200924.c27eb18+dfsg1-1) unstable; urgency=medium

  * New upstream snapshot.
  * mark libmshr-dev-common and libmshr64-dev as Multi-Arch: same

 -- Drew Parsons <dparsons@debian.org>  Mon, 05 Oct 2020 00:15:24 +0800

mshr (2019.2.0~git20200213.8895485+dfsg1-4) unstable; urgency=medium

  * build against latest dolfin in unstable. Closes: #969635.
  * libmshr-dev-common Replaces, Breaks: libmshr-dev (<< ...-3).
    Closes: #970141.

 -- Drew Parsons <dparsons@debian.org>  Sun, 13 Sep 2020 02:10:27 +0800

mshr (2019.2.0~git20200213.8895485+dfsg1-3) experimental; urgency=medium

  * build 64 bit packages (supporting 64-bit dolfin)
    python3-mshr64, libmshr64-dev, libmshr64-2019.2
    - debian patch lib_rename.patch enables setting of soname to
      mshr64 rather than mshr (setting LIB_NAME_EXT in cmake,
      and MSHR_LIB_NAME_EXT in mshrConfig.cmake for client programs,
      cmake -DMSHR_LIB_NAME_EXT=64 to invoke libmshr64)
      Also uses DOLFIN_LIB_NAME_EXT=64 to link libdolfin64.so
    - place common header files in libmshr-dev-common
    - Build-Depends: libdolfin64-dev (>= 2019.2.0~git20200218.027d9cc-15)
      (to ensure DOLFIN_LIB_NAME_EXT is available)
    - activate 64-bit build with environment variables (see README.Debian)
       PETSC_DIR=/usr/lib/petsc64 SLEPC_DIR=/usr/lib/slepc64
       MSHR_LIB_NAME_EXT=64 DOLFIN_LIB_NAME_EXT=64 

 -- Drew Parsons <dparsons@debian.org>  Sun, 30 Aug 2020 07:44:11 +0800

mshr (2019.2.0~git20200213.8895485+dfsg1-2) unstable; urgency=medium

  * python3-mshr Depends: python3-dolfin-real
    (rather than common python3-dolfin)
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Tue, 04 Aug 2020 01:21:17 +0800

mshr (2019.2.0~git20200213.8895485+dfsg1-1) unstable; urgency=medium

  * New upstream snapshot.
  - applies debian patches:
     build_CGAL_4.14.patch
     build_python.patch
     cmake_config_in_lib.patch
     demos_update.patch
     depython_main_build.patch
     pybind11_register.patch

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Apr 2020 14:41:30 +0800

mshr (2019.2.0~git20190418.010d802+dfsg1-1) experimental; urgency=medium

  * new upstream snapshot (2019.2)
  * Standards-Version: 4.5.0
  * add debian patches:
    - enable_CGAL5_CXX14.patch enables build with CGAL 5
      and builds with C++14 since std::enable_if is required by CGAL 5
    - build_CGAL5.patch updates to CGAL 5 API
    - pybind11_register.patch registers CSGCGALDomain3D::num_holes for
      python module, enabling test-fuzzypointmap.py to pass
      (update test_controls.patch)

 -- Drew Parsons <dparsons@debian.org>  Sat, 01 Feb 2020 16:44:38 +0800

mshr (2019.1.0+dfsg1-7) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * add debian patches:
    - enable_CGAL5_CXX14.patch enables build with CGAL 5
      and builds with C++14 since std::enable_if is required by CGAL 5
    - build_CGAL5.patch updates to CGAL 5 API
    - pybind11_register.patch registers CSGCGALDomain3D::num_holes for
      python module, enabling test-fuzzypointmap.py to pass
      (update test_controls.patch)

 -- Drew Parsons <dparsons@debian.org>  Sat, 01 Feb 2020 17:14:19 +0800

mshr (2019.1.0+dfsg1-6) unstable; urgency=medium

  * stop building mips64el, mipsel with debug symbols.
    They are too fragile, often failing to build from source.

 -- Drew Parsons <dparsons@debian.org>  Mon, 21 Oct 2019 18:46:59 +0800

mshr (2019.1.0+dfsg1-5) unstable; urgency=medium

  * Standards-Version: 4.4.1
  * relax pybind11 dependency. pybind11 follows semantic versioning,
    so should be backwards compatible with minor and patch version
    updates.

 -- Drew Parsons <dparsons@debian.org>  Sun, 20 Oct 2019 19:23:41 +0800

mshr (2019.1.0+dfsg1-4) unstable; urgency=medium

  * build with dh --no-parallel to reduce memory requirements
    (to aid builds on mips,mipsel,ubuntu). Closes: #934244.

 -- Drew Parsons <dparsons@debian.org>  Sat, 10 Aug 2019 11:14:22 +0800

mshr (2019.1.0+dfsg1-3) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * debian patch build_CGAL_4.14.patch enables build against CGAL 4.14
  * debian/control: remove ancient-python-version-field 3.5

 -- Drew Parsons <dparsons@debian.org>  Mon, 05 Aug 2019 17:50:52 +0800

mshr (2019.1.0+dfsg1-2) experimental; urgency=medium

  * update debian/copyright
    - Benjamin Kehlet's dates are 2012-2017
    - acknowledge Joachim B Haga and Lars Magnus Valnes
    - list contributing authors under Files: *
    - mark files licensed under LGPL-3+

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 May 2019 14:11:59 +0800

mshr (2019.1.0+dfsg1-1) experimental; urgency=medium

  * New upstream release (official).

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Apr 2019 23:33:14 +0800

mshr (2019.1.0+dfsg1~2018.1.0-1) experimental; urgency=medium

  * Dummy upstream release using 2018.1.0 code to build against
    dolfin 2019.1.
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12
    - skip dh_dwz since debug symbols have been switched off
      (since 2018.1.0+dfsg1-5)
  * Include debug symbols if build will be successful, only omit -g for
    arches blacklisted in ARCH_NO_DEBUG_SYMBOLS

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Mar 2019 18:25:51 +0800

mshr (2018.1.0+dfsg1-7) unstable; urgency=medium

  * Debian patch fix_mesh3_internal.patch updates namespace for
    Mesh_3::internal::C3t3_initializer (CGAL 4.13). Closes: #911814.

 -- Drew Parsons <dparsons@debian.org>  Fri, 26 Oct 2018 11:45:58 +0800

mshr (2018.1.0+dfsg1-6) unstable; urgency=medium

  * apply strict versioned depends on pybind11,
    python3-mshr Depends: pybind11 (>= 2.2.4), pybind11 (<= 2.2.5)

 -- Drew Parsons <dparsons@debian.org>  Tue, 25 Sep 2018 04:04:24 +0800

mshr (2018.1.0+dfsg1-5) unstable; urgency=medium

  * strip -g from dpkg-buildflags to reduce memory requirements of the
    build (needed to build on Debian 32 bit and on ubuntu)
  * Standards-Version: 4.2.1

 -- Drew Parsons <dparsons@debian.org>  Tue, 04 Sep 2018 21:25:48 +0800

mshr (2018.1.0+dfsg1-4) unstable; urgency=medium

  * fix debian/tests: demos are now provided by python3-mshr

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 Aug 2018 22:42:56 +0800

mshr (2018.1.0+dfsg1-3) unstable; urgency=medium

  * run autopkgtest on demos from mshr-demos package
    - install demos in /usr/share/doc/mshr-demos/examples
  * mark libmshr2018.1 as Multi-Arch: same
  * drop mshr-demos (FTBFS on i386 interferes with package migration)
    and install demos with python3-mshr.

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 Aug 2018 02:47:12 +0800

mshr (2018.1.0+dfsg1-2) unstable; urgency=medium

  * Upload to unstable. Closes: #905369.
  * Standards-Version: 4.2.0
  * Build-Depends: python3-setuptools
  * Add debian/tests (autopkgtest)
    - debian patch test_controls.diff provides test.py scripts

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Aug 2018 13:31:48 +0800

mshr (2018.1.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
    - debian patches applied upstream:
      cgal_4.12.patch
      tetgen_define_TETLIBRARY.patch
      use_system_cgal_tetgen.patch
    - removes python2 support (python-mshr is dropped)
    - uses pybind11 instead of swig
  * debian patch cmake_config_in_lib.patch places cmake config files
    in lib not share, since MSHR_LIBRARIES_DIRS is arch-specific.
  * apply dpkg-buildflags CXXFLAGS to cmake build (for hardening and
    debug symbols)
  * remove CGAL and tetgen licences from debian/copyright (these
    3rdParty sources have been removed from the source tarball)
  * Standards-Version: 4.1.5
  * Build-Depends: python3-all-dev (i.e. add python3.7 support)

 -- Drew Parsons <dparsons@debian.org>  Tue, 10 Jul 2018 13:07:08 +0800

mshr (2017.2.0+dfsg1-1) unstable; urgency=medium

  * Upload mshr without embedded CGAL and tetgen code. Closes: #824716.
  * debian/copyright Files-Excluded: 3rdparty/CGAL 3rdparty/tetgen1.5.0
    CGAL and tetgen are provided by their own packages, so exclude
    them from mshr to save space.
  * Debian patch cgal_4.12.patch builds against CGAL 4.12.
  * Build against system CGAL and tetgen.
    Thanks Johannes Ring (upstream branch
    johannr/optional-use-system-packages, applied as Debian patch
    use_system_cgal_tetgen.patch)
    - Build-Depends: libcgal-dev (>= 4.12), libtet1.5-dev.
    - debian patch tetgen_define_TETLIBRARY.patch ensures tetgen
      library API is used (defines TETLIBRARY)
  * Build-Depends: cmake (>= 3.5)
  * Standards-Version: 4.1.4
  * Debian patch demos_update.patch keeps extrude demo running

 -- Drew Parsons <dparsons@debian.org>  Wed, 23 May 2018 03:10:08 +0800

mshr (2017.2.0-1) UNRELEASED; urgency=medium

  * Team upload.
  * New upstream version.
  * Standards-Version: 4.1.3
  * debhelper compatibility level 11

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Jan 2018 16:59:08 +0800

mshr (2017.1.0-2) UNRELEASED; urgency=medium

  * Team upload.
  * Standards-Version: 4.1.2
  * Provide python3 support in python3-mshr

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Dec 2017 14:56:09 +0800

mshr (2017.1.0-1) UNRELEASED; urgency=medium

  * Team upload.

  [ Johannes Ring ]
  * New upstream release.
    - Move debian/libmshr2016.2.install > debian/libmshr2017.1.install.
    - Update package name for new SONAME 2017.1 (libmshr2016.2 ->
      libmshr2017.1).
    - Bump minimum required version of libdolfin-dev, python-ffc,
      python-dolfin and dolfin-bin from 2016.2.0 to 2017.1.0.

  [ Drew Parsons ]
  * Standards-Version: 4.1.0
  * debhelper compatibility level 10

 -- Johannes Ring <johannr@simula.no>  Thu, 11 May 2017 13:04:50 +0200

mshr (2016.2.0-1) UNRELEASED; urgency=medium

  * New upstream release.
    - Move debian/libmshr2016.1.install > debian/libmshr2016.2.install.
    - Update package name for new SONAME 2016.2 (libmshr2016.1 ->
      libmshr2016.2).
    - Bump minimum required version of libdolfin-dev, python-ffc,
      python-dolfin and dolfin-bin from 2016.1.0 to 2016.2.0.

 -- Johannes Ring <johannr@simula.no>  Fri, 02 Dec 2016 15:22:32 +0100

mshr (2016.1.0-2) UNRELEASED; urgency=medium

  * New upstream release.
  * debian/control:
    - Update package name for new SONAME 2016.1 (libmshr1.6 ->
      libmshr2016.1).
    - Bump minimum required version of libdolfin-dev, python-ffc,
      python-dolfin and dolfin-bin from 1.6.0 to 2016.1.0.
    - Add libproj-dev to Build-Depends and to Depends for binary package
      libmshr-dev.
  * Move debian/libmshr1.6.install -> debian/libmshr2016.1.install.
  * Remove patch (fixed upstream).
  * debian/rules: Add -fpermissive to CXX flags.

 -- Johannes Ring <johannr@simula.no>  Fri, 02 Dec 2016 15:20:19 +0100

mshr (1.6.0-1) unstable; urgency=low

  [ Johannes Ring ]
  * Initial release (Closes: #824716)

  [ Drew Parsons ]
  * Team upload.

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 May 2016 08:23:26 +0800
